
import Foundation
import App

abbrev = 'AdAkyazi'
iconName = 'AdAkyazi'
longName = 'USS Akyazi (Base)'
shipFile = 'AdAkyazi' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Perimeter Action Ships"
SubSubMenu = "Akyazi Class"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'AdAkyazi',
	'author': '',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.AdAkyazi = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu, 'SubSubMenu': SubSubMenu })

Foundation.ShipDef.AdAkyazi.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.AdAkyazi.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.AdAkyazi.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

abbrev = 'AdAkyaziMK2'
iconName = 'AdAkyazi'
longName = 'USS Assuan (MK2)'
shipFile = 'AdAkyaziMK2' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Perimeter Action Ships"
SubSubMenu = "Akyazi Class"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'AdAkyazi',
	'author': '',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.AdAkyaziMK2 = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu, 'SubSubMenu': SubSubMenu })

Foundation.ShipDef.AdAkyaziMK2.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.AdAkyaziMK2.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.AdAkyaziMK2.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def AssuanIDSwap(self):
	retval = {"Textures": [["ID_glow", "Data/Models/ships/AdTMP/Akyazi/AssuanID_glow.tga"], ["Dauntless", "Data/Models/ships/AdTMP/Akyazi/AssuanID_glow.tga"]]}
	return retval

Foundation.ShipDef.AdAkyaziMK2.__dict__["SDT Entry"] = AssuanIDSwap

abbrev = 'AdAkula'
iconName = 'AdAkula'
longName = 'USS Akula'
shipFile = 'AdAkula' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Perimeter Action Ships"
SubSubMenu = "Akyazi Class"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'AdAkyazi',
	'author': '',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.AdAkula = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu, 'SubSubMenu': SubSubMenu })

Foundation.ShipDef.AdAkula.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.AdAkula.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.AdAkula.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def AkulaIDSwap(self):
	retval = {"Textures": [["ID_glow", "Data/Models/ships/AdTMP/Akyazi/AkulaID_glow.tga"], ["Dauntless", "Data/Models/ships/AdTMP/Akyazi/AkulaID_glow.tga"]]}
	return retval

Foundation.ShipDef.AdAkula.__dict__["SDT Entry"] = AkulaIDSwap

abbrev = 'AdArbiter'
iconName = 'AdArbiter'
longName = 'USS Arbiter'
shipFile = 'AdArbiter' 
menuGroup = 'Fed Ships'
playerMenuGroup = 'Fed Ships'
SubMenu = "Perimeter Action Ships"
SubSubMenu = "Akyazi Class"
species = App.SPECIES_GALAXY

credits = {
	'modName': 'AdArbiter',
	'author': '',
	'version': '1.0',
	'sources': [ 'http://' ],
	'comments': ''
}

Foundation.ShipDef.AdArbiter = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile, 'SubMenu': SubMenu, 'SubSubMenu': SubSubMenu })

Foundation.ShipDef.AdArbiter.desc = 'No Description Available'

if menuGroup:           Foundation.ShipDef.AdArbiter.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.AdArbiter.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]

def ArbiterIDSwap(self):
	retval = {"Textures": [["ID_glow", "Data/Models/ships/AdTMP/Akyazi/ArbiterID_glow.tga"], ["Dauntless", "Data/Models/ships/AdTMP/Akyazi/ArbiterID_glow.tga"]]}
	return retval

Foundation.ShipDef.AdArbiter.__dict__["SDT Entry"] = ArbiterIDSwap