import App
import GlobalPropertyTemplates
	# The line below is needed by the editor to restore
	# the name of the parent script.
ParentPropertyScript = "ships.hardpoints.AdAkyaziBase"
if not ('g_bIsModelPropertyEditor' in dir(App)):
	ParentModule = __import__("ships.hardpoints.AdAkyaziBase", globals(), locals(), ['*'])
	reload(ParentModule)

#################################################
ForwardTorp1 = App.TorpedoTubeProperty_Create("Forward Torp 1")

ForwardTorp1.SetMaxCondition(1600.000000)
ForwardTorp1.SetCritical(0)
ForwardTorp1.SetTargetable(1)
ForwardTorp1.SetPrimary(1)
ForwardTorp1.SetPosition(0.026950, 0.319217, -0.021987)
ForwardTorp1.SetPosition2D(86, 6)
ForwardTorp1.SetRepairComplexity(3.000000)
ForwardTorp1.SetDisabledPercentage(0.750000)
ForwardTorp1.SetRadius(0.020000)
ForwardTorp1.SetDumbfire(1)
ForwardTorp1.SetWeaponID(0)
ForwardTorp1.SetGroups(1)
ForwardTorp1.SetDamageRadiusFactor(0.600000)
ForwardTorp1.SetIconNum(370)
ForwardTorp1.SetIconPositionX(70)
ForwardTorp1.SetIconPositionY(35)
ForwardTorp1.SetIconAboveShip(1)
ForwardTorp1.SetImmediateDelay(1.500000)
ForwardTorp1.SetReloadDelay(30.000000)
ForwardTorp1.SetMaxReady(2)
ForwardTorp1Direction = App.TGPoint3()
ForwardTorp1Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp1.SetDirection(ForwardTorp1Direction)
ForwardTorp1Right = App.TGPoint3()
ForwardTorp1Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp1.SetRight(ForwardTorp1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp1)
#################################################
ForwardTorp2 = App.TorpedoTubeProperty_Create("Forward Torp 2")

ForwardTorp2.SetMaxCondition(1600.000000)
ForwardTorp2.SetCritical(0)
ForwardTorp2.SetTargetable(1)
ForwardTorp2.SetPrimary(1)
ForwardTorp2.SetPosition(-0.026950, 0.319217, -0.021987)
ForwardTorp2.SetPosition2D(47, 6)
ForwardTorp2.SetRepairComplexity(3.000000)
ForwardTorp2.SetDisabledPercentage(0.750000)
ForwardTorp2.SetRadius(0.020000)
ForwardTorp2.SetDumbfire(1)
ForwardTorp2.SetWeaponID(1)
ForwardTorp2.SetGroups(2)
ForwardTorp2.SetDamageRadiusFactor(0.600000)
ForwardTorp2.SetIconNum(370)
ForwardTorp2.SetIconPositionX(82)
ForwardTorp2.SetIconPositionY(35)
ForwardTorp2.SetIconAboveShip(1)
ForwardTorp2.SetImmediateDelay(1.500000)
ForwardTorp2.SetReloadDelay(30.000000)
ForwardTorp2.SetMaxReady(2)
ForwardTorp2Direction = App.TGPoint3()
ForwardTorp2Direction.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTorp2.SetDirection(ForwardTorp2Direction)
ForwardTorp2Right = App.TGPoint3()
ForwardTorp2Right.SetXYZ(1.000000, 0.000000, 0.000000)
ForwardTorp2.SetRight(ForwardTorp2Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTorp2)
#################################################
AftTorp1 = App.TorpedoTubeProperty_Create("Aft Torp 1")

AftTorp1.SetMaxCondition(1600.000000)
AftTorp1.SetCritical(0)
AftTorp1.SetTargetable(1)
AftTorp1.SetPrimary(1)
AftTorp1.SetPosition(0.000000, -0.099658, -0.024353)
AftTorp1.SetPosition2D(64, 74)
AftTorp1.SetRepairComplexity(3.000000)
AftTorp1.SetDisabledPercentage(0.750000)
AftTorp1.SetRadius(0.030000)
AftTorp1.SetDumbfire(1)
AftTorp1.SetWeaponID(4)
AftTorp1.SetGroups(4)
AftTorp1.SetDamageRadiusFactor(0.600000)
AftTorp1.SetIconNum(370)
AftTorp1.SetIconPositionX(78)
AftTorp1.SetIconPositionY(116)
AftTorp1.SetIconAboveShip(1)
AftTorp1.SetImmediateDelay(1.500000)
AftTorp1.SetReloadDelay(30.000000)
AftTorp1.SetMaxReady(2)
AftTorp1Direction = App.TGPoint3()
AftTorp1Direction.SetXYZ(0.000000, -1.000000, 0.000000)
AftTorp1.SetDirection(AftTorp1Direction)
AftTorp1Right = App.TGPoint3()
AftTorp1Right.SetXYZ(1.000000, 0.000000, 0.000000)
AftTorp1.SetRight(AftTorp1Right)
App.g_kModelPropertyManager.RegisterLocalTemplate(AftTorp1)
#################################################
DorsalPhaser1a = App.PhaserProperty_Create("Dorsal Phaser 1a")

DorsalPhaser1a.SetMaxCondition(800.000000)
DorsalPhaser1a.SetCritical(0)
DorsalPhaser1a.SetTargetable(1)
DorsalPhaser1a.SetPrimary(1)
DorsalPhaser1a.SetPosition(-0.235628, -0.011374, 0.045851)
DorsalPhaser1a.SetPosition2D(14, 25)
DorsalPhaser1a.SetRepairComplexity(7.000000)
DorsalPhaser1a.SetDisabledPercentage(0.750000)
DorsalPhaser1a.SetRadius(0.050000)
DorsalPhaser1a.SetDumbfire(0)
DorsalPhaser1a.SetWeaponID(5)
DorsalPhaser1a.SetGroups(0)
DorsalPhaser1a.SetDamageRadiusFactor(0.150000)
DorsalPhaser1a.SetIconNum(361)
DorsalPhaser1a.SetIconPositionX(24)
DorsalPhaser1a.SetIconPositionY(46)
DorsalPhaser1a.SetIconAboveShip(1)
DorsalPhaser1a.SetFireSound("ZZST2Phaser")
DorsalPhaser1a.SetMaxCharge(5.000000)
DorsalPhaser1a.SetMaxDamage(250.000000)
DorsalPhaser1a.SetMaxDamageDistance(60.000000)
DorsalPhaser1a.SetMinFiringCharge(1.000000)
DorsalPhaser1a.SetNormalDischargeRate(1.000000)
DorsalPhaser1a.SetRechargeRate(0.200000)
DorsalPhaser1a.SetIndicatorIconNum(508)
DorsalPhaser1a.SetIndicatorIconPositionX(20)
DorsalPhaser1a.SetIndicatorIconPositionY(45)
DorsalPhaser1aForward = App.TGPoint3()
DorsalPhaser1aForward.SetXYZ(-1.000000, 0.000000, 0.000000)
DorsalPhaser1aUp = App.TGPoint3()
DorsalPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser1a.SetOrientation(DorsalPhaser1aForward, DorsalPhaser1aUp)
DorsalPhaser1a.SetWidth(0.001000)
DorsalPhaser1a.SetLength(0.001000)
DorsalPhaser1a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser1a.SetArcHeightAngles(-0.017453, 1.570796)
DorsalPhaser1a.SetPhaserTextureStart(0)
DorsalPhaser1a.SetPhaserTextureEnd(7)
DorsalPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
DorsalPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
DorsalPhaser1a.SetInnerCoreColor(kColor)
DorsalPhaser1a.SetNumSides(6)
DorsalPhaser1a.SetMainRadius(0.040000)
DorsalPhaser1a.SetTaperRadius(0.010000)
DorsalPhaser1a.SetCoreScale(0.500000)
DorsalPhaser1a.SetTaperRatio(0.250000)
DorsalPhaser1a.SetTaperMinLength(5.000000)
DorsalPhaser1a.SetTaperMaxLength(30.000000)
DorsalPhaser1a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser1a.SetPerimeterTile(1.000000)
DorsalPhaser1a.SetTextureSpeed(5.000000)
DorsalPhaser1a.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser1a)
#################################################
DorsalPhaser1b = App.PhaserProperty_Create("Dorsal Phaser 1b")

DorsalPhaser1b.SetMaxCondition(800.000000)
DorsalPhaser1b.SetCritical(0)
DorsalPhaser1b.SetTargetable(1)
DorsalPhaser1b.SetPrimary(1)
DorsalPhaser1b.SetPosition(-0.235628, 0.011374, 0.045851)
DorsalPhaser1b.SetPosition2D(19, 25)
DorsalPhaser1b.SetRepairComplexity(7.000000)
DorsalPhaser1b.SetDisabledPercentage(0.750000)
DorsalPhaser1b.SetRadius(0.050000)
DorsalPhaser1b.SetDumbfire(0)
DorsalPhaser1b.SetWeaponID(5)
DorsalPhaser1b.SetGroups(0)
DorsalPhaser1b.SetDamageRadiusFactor(0.150000)
DorsalPhaser1b.SetIconNum(361)
DorsalPhaser1b.SetIconPositionX(23)
DorsalPhaser1b.SetIconPositionY(47)
DorsalPhaser1b.SetIconAboveShip(1)
DorsalPhaser1b.SetFireSound("ZZST2Phaser")
DorsalPhaser1b.SetMaxCharge(5.000000)
DorsalPhaser1b.SetMaxDamage(250.000000)
DorsalPhaser1b.SetMaxDamageDistance(60.000000)
DorsalPhaser1b.SetMinFiringCharge(1.000000)
DorsalPhaser1b.SetNormalDischargeRate(1.000000)
DorsalPhaser1b.SetRechargeRate(0.200000)
DorsalPhaser1b.SetIndicatorIconNum(508)
DorsalPhaser1b.SetIndicatorIconPositionX(20)
DorsalPhaser1b.SetIndicatorIconPositionY(46)
DorsalPhaser1bForward = App.TGPoint3()
DorsalPhaser1bForward.SetXYZ(-1.000000, 0.000000, 0.000000)
DorsalPhaser1bUp = App.TGPoint3()
DorsalPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser1b.SetOrientation(DorsalPhaser1bForward, DorsalPhaser1bUp)
DorsalPhaser1b.SetWidth(0.001000)
DorsalPhaser1b.SetLength(0.001000)
DorsalPhaser1b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser1b.SetArcHeightAngles(-0.017453, 1.570796)
DorsalPhaser1b.SetPhaserTextureStart(0)
DorsalPhaser1b.SetPhaserTextureEnd(7)
DorsalPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
DorsalPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
DorsalPhaser1b.SetInnerCoreColor(kColor)
DorsalPhaser1b.SetNumSides(6)
DorsalPhaser1b.SetMainRadius(0.040000)
DorsalPhaser1b.SetTaperRadius(0.010000)
DorsalPhaser1b.SetCoreScale(0.500000)
DorsalPhaser1b.SetTaperRatio(0.250000)
DorsalPhaser1b.SetTaperMinLength(5.000000)
DorsalPhaser1b.SetTaperMaxLength(30.000000)
DorsalPhaser1b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser1b.SetPerimeterTile(1.000000)
DorsalPhaser1b.SetTextureSpeed(5.000000)
DorsalPhaser1b.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser1b)
#################################################
DorsalPhaser2a = App.PhaserProperty_Create("Dorsal Phaser 2a")

DorsalPhaser2a.SetMaxCondition(800.000000)
DorsalPhaser2a.SetCritical(0)
DorsalPhaser2a.SetTargetable(1)
DorsalPhaser2a.SetPrimary(1)
DorsalPhaser2a.SetPosition(-0.011930, 0.234830, 0.044679)
DorsalPhaser2a.SetPosition2D(69, 6)
DorsalPhaser2a.SetRepairComplexity(7.000000)
DorsalPhaser2a.SetDisabledPercentage(0.750000)
DorsalPhaser2a.SetRadius(0.050000)
DorsalPhaser2a.SetDumbfire(0)
DorsalPhaser2a.SetWeaponID(6)
DorsalPhaser2a.SetGroups(0)
DorsalPhaser2a.SetDamageRadiusFactor(0.150000)
DorsalPhaser2a.SetIconNum(364)
DorsalPhaser2a.SetIconPositionX(64)
DorsalPhaser2a.SetIconPositionY(22)
DorsalPhaser2a.SetIconAboveShip(1)
DorsalPhaser2a.SetFireSound("ZZST2Phaser")
DorsalPhaser2a.SetMaxCharge(5.000000)
DorsalPhaser2a.SetMaxDamage(250.000000)
DorsalPhaser2a.SetMaxDamageDistance(60.000000)
DorsalPhaser2a.SetMinFiringCharge(1.000000)
DorsalPhaser2a.SetNormalDischargeRate(1.000000)
DorsalPhaser2a.SetRechargeRate(0.200000)
DorsalPhaser2a.SetIndicatorIconNum(510)
DorsalPhaser2a.SetIndicatorIconPositionX(58)
DorsalPhaser2a.SetIndicatorIconPositionY(17)
DorsalPhaser2aForward = App.TGPoint3()
DorsalPhaser2aForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPhaser2aUp = App.TGPoint3()
DorsalPhaser2aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser2a.SetOrientation(DorsalPhaser2aForward, DorsalPhaser2aUp)
DorsalPhaser2a.SetWidth(0.001000)
DorsalPhaser2a.SetLength(0.001000)
DorsalPhaser2a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser2a.SetArcHeightAngles(-0.017453, 1.570796)
DorsalPhaser2a.SetPhaserTextureStart(0)
DorsalPhaser2a.SetPhaserTextureEnd(7)
DorsalPhaser2a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser2a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser2a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
DorsalPhaser2a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
DorsalPhaser2a.SetInnerCoreColor(kColor)
DorsalPhaser2a.SetNumSides(6)
DorsalPhaser2a.SetMainRadius(0.040000)
DorsalPhaser2a.SetTaperRadius(0.010000)
DorsalPhaser2a.SetCoreScale(0.500000)
DorsalPhaser2a.SetTaperRatio(0.250000)
DorsalPhaser2a.SetTaperMinLength(5.000000)
DorsalPhaser2a.SetTaperMaxLength(30.000000)
DorsalPhaser2a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser2a.SetPerimeterTile(1.000000)
DorsalPhaser2a.SetTextureSpeed(5.000000)
DorsalPhaser2a.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser2a)
#################################################
DorsalPhaser2b = App.PhaserProperty_Create("Dorsal Phaser 2b")

DorsalPhaser2b.SetMaxCondition(800.000000)
DorsalPhaser2b.SetCritical(0)
DorsalPhaser2b.SetTargetable(1)
DorsalPhaser2b.SetPrimary(1)
DorsalPhaser2b.SetPosition(0.011930, 0.234830, 0.044679)
DorsalPhaser2b.SetPosition2D(73, 6)
DorsalPhaser2b.SetRepairComplexity(7.000000)
DorsalPhaser2b.SetDisabledPercentage(0.750000)
DorsalPhaser2b.SetRadius(0.050000)
DorsalPhaser2b.SetDumbfire(0)
DorsalPhaser2b.SetWeaponID(7)
DorsalPhaser2b.SetGroups(0)
DorsalPhaser2b.SetDamageRadiusFactor(0.150000)
DorsalPhaser2b.SetIconNum(364)
DorsalPhaser2b.SetIconPositionX(65)
DorsalPhaser2b.SetIconPositionY(22)
DorsalPhaser2b.SetIconAboveShip(1)
DorsalPhaser2b.SetFireSound("ZZST2Phaser")
DorsalPhaser2b.SetMaxCharge(5.000000)
DorsalPhaser2b.SetMaxDamage(250.000000)
DorsalPhaser2b.SetMaxDamageDistance(60.000000)
DorsalPhaser2b.SetMinFiringCharge(1.000000)
DorsalPhaser2b.SetNormalDischargeRate(1.000000)
DorsalPhaser2b.SetRechargeRate(0.200000)
DorsalPhaser2b.SetIndicatorIconNum(510)
DorsalPhaser2b.SetIndicatorIconPositionX(59)
DorsalPhaser2b.SetIndicatorIconPositionY(18)
DorsalPhaser2bForward = App.TGPoint3()
DorsalPhaser2bForward.SetXYZ(0.000000, 1.000000, 0.000000)
DorsalPhaser2bUp = App.TGPoint3()
DorsalPhaser2bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser2b.SetOrientation(DorsalPhaser2bForward, DorsalPhaser2bUp)
DorsalPhaser2b.SetWidth(0.001000)
DorsalPhaser2b.SetLength(0.001000)
DorsalPhaser2b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser2b.SetArcHeightAngles(-0.017453, 1.570796)
DorsalPhaser2b.SetPhaserTextureStart(0)
DorsalPhaser2b.SetPhaserTextureEnd(7)
DorsalPhaser2b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser2b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser2b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
DorsalPhaser2b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
DorsalPhaser2b.SetInnerCoreColor(kColor)
DorsalPhaser2b.SetNumSides(6)
DorsalPhaser2b.SetMainRadius(0.040000)
DorsalPhaser2b.SetTaperRadius(0.010000)
DorsalPhaser2b.SetCoreScale(0.500000)
DorsalPhaser2b.SetTaperRatio(0.250000)
DorsalPhaser2b.SetTaperMinLength(5.000000)
DorsalPhaser2b.SetTaperMaxLength(30.000000)
DorsalPhaser2b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser2b.SetPerimeterTile(1.000000)
DorsalPhaser2b.SetTextureSpeed(5.000000)
DorsalPhaser2b.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser2b)
#################################################
DorsalPhaser3a = App.PhaserProperty_Create("Dorsal Phaser 3a")

DorsalPhaser3a.SetMaxCondition(800.000000)
DorsalPhaser3a.SetCritical(0)
DorsalPhaser3a.SetTargetable(1)
DorsalPhaser3a.SetPrimary(1)
DorsalPhaser3a.SetPosition(0.236006, -0.012004, 0.045476)
DorsalPhaser3a.SetPosition2D(116, 26)
DorsalPhaser3a.SetRepairComplexity(7.000000)
DorsalPhaser3a.SetDisabledPercentage(0.750000)
DorsalPhaser3a.SetRadius(0.050000)
DorsalPhaser3a.SetDumbfire(0)
DorsalPhaser3a.SetWeaponID(8)
DorsalPhaser3a.SetGroups(0)
DorsalPhaser3a.SetDamageRadiusFactor(0.150000)
DorsalPhaser3a.SetIconNum(362)
DorsalPhaser3a.SetIconPositionX(117)
DorsalPhaser3a.SetIconPositionY(45)
DorsalPhaser3a.SetIconAboveShip(1)
DorsalPhaser3a.SetFireSound("ZZST2Phaser")
DorsalPhaser3a.SetMaxCharge(5.000000)
DorsalPhaser3a.SetMaxDamage(250.000000)
DorsalPhaser3a.SetMaxDamageDistance(60.000000)
DorsalPhaser3a.SetMinFiringCharge(1.000000)
DorsalPhaser3a.SetNormalDischargeRate(1.000000)
DorsalPhaser3a.SetRechargeRate(0.200000)
DorsalPhaser3a.SetIndicatorIconNum(509)
DorsalPhaser3a.SetIndicatorIconPositionX(116)
DorsalPhaser3a.SetIndicatorIconPositionY(44)
DorsalPhaser3aForward = App.TGPoint3()
DorsalPhaser3aForward.SetXYZ(1.000000, 0.000000, 0.000000)
DorsalPhaser3aUp = App.TGPoint3()
DorsalPhaser3aUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser3a.SetOrientation(DorsalPhaser3aForward, DorsalPhaser3aUp)
DorsalPhaser3a.SetWidth(0.001000)
DorsalPhaser3a.SetLength(0.001000)
DorsalPhaser3a.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser3a.SetArcHeightAngles(-0.017453, 1.570796)
DorsalPhaser3a.SetPhaserTextureStart(0)
DorsalPhaser3a.SetPhaserTextureEnd(7)
DorsalPhaser3a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser3a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser3a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
DorsalPhaser3a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
DorsalPhaser3a.SetInnerCoreColor(kColor)
DorsalPhaser3a.SetNumSides(6)
DorsalPhaser3a.SetMainRadius(0.040000)
DorsalPhaser3a.SetTaperRadius(0.010000)
DorsalPhaser3a.SetCoreScale(0.500000)
DorsalPhaser3a.SetTaperRatio(0.250000)
DorsalPhaser3a.SetTaperMinLength(5.000000)
DorsalPhaser3a.SetTaperMaxLength(30.000000)
DorsalPhaser3a.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser3a.SetPerimeterTile(1.000000)
DorsalPhaser3a.SetTextureSpeed(5.000000)
DorsalPhaser3a.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser3a)
#################################################
DorsalPhaser3b = App.PhaserProperty_Create("Dorsal Phaser 3b")

DorsalPhaser3b.SetMaxCondition(800.000000)
DorsalPhaser3b.SetCritical(0)
DorsalPhaser3b.SetTargetable(1)
DorsalPhaser3b.SetPrimary(1)
DorsalPhaser3b.SetPosition(0.236006, 0.012004, 0.045476)
DorsalPhaser3b.SetPosition2D(111, 26)
DorsalPhaser3b.SetRepairComplexity(7.000000)
DorsalPhaser3b.SetDisabledPercentage(0.750000)
DorsalPhaser3b.SetRadius(0.050000)
DorsalPhaser3b.SetDumbfire(0)
DorsalPhaser3b.SetWeaponID(8)
DorsalPhaser3b.SetGroups(0)
DorsalPhaser3b.SetDamageRadiusFactor(0.150000)
DorsalPhaser3b.SetIconNum(362)
DorsalPhaser3b.SetIconPositionX(118)
DorsalPhaser3b.SetIconPositionY(46)
DorsalPhaser3b.SetIconAboveShip(1)
DorsalPhaser3b.SetFireSound("ZZST2Phaser")
DorsalPhaser3b.SetMaxCharge(5.000000)
DorsalPhaser3b.SetMaxDamage(250.000000)
DorsalPhaser3b.SetMaxDamageDistance(60.000000)
DorsalPhaser3b.SetMinFiringCharge(1.000000)
DorsalPhaser3b.SetNormalDischargeRate(1.000000)
DorsalPhaser3b.SetRechargeRate(0.200000)
DorsalPhaser3b.SetIndicatorIconNum(509)
DorsalPhaser3b.SetIndicatorIconPositionX(117)
DorsalPhaser3b.SetIndicatorIconPositionY(44)
DorsalPhaser3bForward = App.TGPoint3()
DorsalPhaser3bForward.SetXYZ(1.000000, 0.000000, 0.000000)
DorsalPhaser3bUp = App.TGPoint3()
DorsalPhaser3bUp.SetXYZ(0.000000, 0.000000, 1.000000)
DorsalPhaser3b.SetOrientation(DorsalPhaser3bForward, DorsalPhaser3bUp)
DorsalPhaser3b.SetWidth(0.001000)
DorsalPhaser3b.SetLength(0.001000)
DorsalPhaser3b.SetArcWidthAngles(-0.785398, 0.785398)
DorsalPhaser3b.SetArcHeightAngles(-0.017453, 1.570796)
DorsalPhaser3b.SetPhaserTextureStart(0)
DorsalPhaser3b.SetPhaserTextureEnd(7)
DorsalPhaser3b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser3b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
DorsalPhaser3b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
DorsalPhaser3b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
DorsalPhaser3b.SetInnerCoreColor(kColor)
DorsalPhaser3b.SetNumSides(6)
DorsalPhaser3b.SetMainRadius(0.040000)
DorsalPhaser3b.SetTaperRadius(0.010000)
DorsalPhaser3b.SetCoreScale(0.500000)
DorsalPhaser3b.SetTaperRatio(0.250000)
DorsalPhaser3b.SetTaperMinLength(5.000000)
DorsalPhaser3b.SetTaperMaxLength(30.000000)
DorsalPhaser3b.SetLengthTextureTilePerUnit(0.050000)
DorsalPhaser3b.SetPerimeterTile(1.000000)
DorsalPhaser3b.SetTextureSpeed(5.000000)
DorsalPhaser3b.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(DorsalPhaser3b)
#################################################
VentralPhaser1a = App.PhaserProperty_Create("Ventral Phaser 1a")

VentralPhaser1a.SetMaxCondition(800.000000)
VentralPhaser1a.SetCritical(0)
VentralPhaser1a.SetTargetable(1)
VentralPhaser1a.SetPrimary(1)
VentralPhaser1a.SetPosition(-0.273250, -0.011194, -0.056200)
VentralPhaser1a.SetPosition2D(29, 25)
VentralPhaser1a.SetRepairComplexity(7.000000)
VentralPhaser1a.SetDisabledPercentage(0.750000)
VentralPhaser1a.SetRadius(0.050000)
VentralPhaser1a.SetDumbfire(0)
VentralPhaser1a.SetWeaponID(1)
VentralPhaser1a.SetGroups(0)
VentralPhaser1a.SetDamageRadiusFactor(0.150000)
VentralPhaser1a.SetIconNum(361)
VentralPhaser1a.SetIconPositionX(47)
VentralPhaser1a.SetIconPositionY(46)
VentralPhaser1a.SetIconAboveShip(0)
VentralPhaser1a.SetFireSound("ZZST2Phaser")
VentralPhaser1a.SetMaxCharge(5.000000)
VentralPhaser1a.SetMaxDamage(250.000000)
VentralPhaser1a.SetMaxDamageDistance(60.000000)
VentralPhaser1a.SetMinFiringCharge(1.000000)
VentralPhaser1a.SetNormalDischargeRate(1.000000)
VentralPhaser1a.SetRechargeRate(0.200000)
VentralPhaser1a.SetIndicatorIconNum(508)
VentralPhaser1a.SetIndicatorIconPositionX(43)
VentralPhaser1a.SetIndicatorIconPositionY(44)
VentralPhaser1aForward = App.TGPoint3()
VentralPhaser1aForward.SetXYZ(-1.000000, 0.000000, 0.000000)
VentralPhaser1aUp = App.TGPoint3()
VentralPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser1a.SetOrientation(VentralPhaser1aForward, VentralPhaser1aUp)
VentralPhaser1a.SetWidth(0.001000)
VentralPhaser1a.SetLength(0.001000)
VentralPhaser1a.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser1a.SetArcHeightAngles(0.000000, -1.570796)
VentralPhaser1a.SetPhaserTextureStart(0)
VentralPhaser1a.SetPhaserTextureEnd(7)
VentralPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser1a.SetInnerCoreColor(kColor)
VentralPhaser1a.SetNumSides(6)
VentralPhaser1a.SetMainRadius(0.040000)
VentralPhaser1a.SetTaperRadius(0.010000)
VentralPhaser1a.SetCoreScale(0.500000)
VentralPhaser1a.SetTaperRatio(0.250000)
VentralPhaser1a.SetTaperMinLength(5.000000)
VentralPhaser1a.SetTaperMaxLength(30.000000)
VentralPhaser1a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser1a.SetPerimeterTile(1.000000)
VentralPhaser1a.SetTextureSpeed(5.000000)
VentralPhaser1a.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1a)
#################################################
VentralPhaser1b = App.PhaserProperty_Create("Ventral Phaser 1b")

VentralPhaser1b.SetMaxCondition(800.000000)
VentralPhaser1b.SetCritical(0)
VentralPhaser1b.SetTargetable(1)
VentralPhaser1b.SetPrimary(1)
VentralPhaser1b.SetPosition(-0.273250, 0.011194, -0.056200)
VentralPhaser1b.SetPosition2D(24, 25)
VentralPhaser1b.SetRepairComplexity(7.000000)
VentralPhaser1b.SetDisabledPercentage(0.750000)
VentralPhaser1b.SetRadius(0.050000)
VentralPhaser1b.SetDumbfire(0)
VentralPhaser1b.SetWeaponID(1)
VentralPhaser1b.SetGroups(0)
VentralPhaser1b.SetDamageRadiusFactor(0.150000)
VentralPhaser1b.SetIconNum(361)
VentralPhaser1b.SetIconPositionX(46)
VentralPhaser1b.SetIconPositionY(46)
VentralPhaser1b.SetIconAboveShip(0)
VentralPhaser1b.SetFireSound("ZZST2Phaser")
VentralPhaser1b.SetMaxCharge(5.000000)
VentralPhaser1b.SetMaxDamage(250.000000)
VentralPhaser1b.SetMaxDamageDistance(60.000000)
VentralPhaser1b.SetMinFiringCharge(1.000000)
VentralPhaser1b.SetNormalDischargeRate(1.000000)
VentralPhaser1b.SetRechargeRate(0.200000)
VentralPhaser1b.SetIndicatorIconNum(508)
VentralPhaser1b.SetIndicatorIconPositionX(43)
VentralPhaser1b.SetIndicatorIconPositionY(45)
VentralPhaser1bForward = App.TGPoint3()
VentralPhaser1bForward.SetXYZ(-1.000000, 0.000000, 0.000000)
VentralPhaser1bUp = App.TGPoint3()
VentralPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
VentralPhaser1b.SetOrientation(VentralPhaser1bForward, VentralPhaser1bUp)
VentralPhaser1b.SetWidth(0.001000)
VentralPhaser1b.SetLength(0.001000)
VentralPhaser1b.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser1b.SetArcHeightAngles(0.000000, -1.570796)
VentralPhaser1b.SetPhaserTextureStart(0)
VentralPhaser1b.SetPhaserTextureEnd(7)
VentralPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser1b.SetInnerCoreColor(kColor)
VentralPhaser1b.SetNumSides(6)
VentralPhaser1b.SetMainRadius(0.040000)
VentralPhaser1b.SetTaperRadius(0.010000)
VentralPhaser1b.SetCoreScale(0.500000)
VentralPhaser1b.SetTaperRatio(0.250000)
VentralPhaser1b.SetTaperMinLength(5.000000)
VentralPhaser1b.SetTaperMaxLength(30.000000)
VentralPhaser1b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser1b.SetPerimeterTile(1.000000)
VentralPhaser1b.SetTextureSpeed(5.000000)
VentralPhaser1b.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser1b)
#################################################
VentralPhaser2a = App.PhaserProperty_Create("Ventral Phaser 2a")

VentralPhaser2a.SetMaxCondition(800.000000)
VentralPhaser2a.SetCritical(0)
VentralPhaser2a.SetTargetable(1)
VentralPhaser2a.SetPrimary(1)
VentralPhaser2a.SetPosition(-0.013066, 0.094639, -0.055991)
VentralPhaser2a.SetPosition2D(56, 6)
VentralPhaser2a.SetRepairComplexity(7.000000)
VentralPhaser2a.SetDisabledPercentage(0.750000)
VentralPhaser2a.SetRadius(0.050000)
VentralPhaser2a.SetDumbfire(0)
VentralPhaser2a.SetWeaponID(2)
VentralPhaser2a.SetGroups(0)
VentralPhaser2a.SetDamageRadiusFactor(0.150000)
VentralPhaser2a.SetIconNum(364)
VentralPhaser2a.SetIconPositionX(63)
VentralPhaser2a.SetIconPositionY(41)
VentralPhaser2a.SetIconAboveShip(0)
VentralPhaser2a.SetFireSound("ZZST2Phaser")
VentralPhaser2a.SetMaxCharge(5.000000)
VentralPhaser2a.SetMaxDamage(250.000000)
VentralPhaser2a.SetMaxDamageDistance(60.000000)
VentralPhaser2a.SetMinFiringCharge(1.000000)
VentralPhaser2a.SetNormalDischargeRate(1.000000)
VentralPhaser2a.SetRechargeRate(0.200000)
VentralPhaser2a.SetIndicatorIconNum(510)
VentralPhaser2a.SetIndicatorIconPositionX(58)
VentralPhaser2a.SetIndicatorIconPositionY(37)
VentralPhaser2aForward = App.TGPoint3()
VentralPhaser2aForward.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPhaser2aUp = App.TGPoint3()
VentralPhaser2aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser2a.SetOrientation(VentralPhaser2aForward, VentralPhaser2aUp)
VentralPhaser2a.SetWidth(0.001000)
VentralPhaser2a.SetLength(0.001000)
VentralPhaser2a.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser2a.SetArcHeightAngles(0.000000, 1.570796)
VentralPhaser2a.SetPhaserTextureStart(0)
VentralPhaser2a.SetPhaserTextureEnd(7)
VentralPhaser2a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser2a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser2a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser2a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser2a.SetInnerCoreColor(kColor)
VentralPhaser2a.SetNumSides(6)
VentralPhaser2a.SetMainRadius(0.050000)
VentralPhaser2a.SetTaperRadius(0.010000)
VentralPhaser2a.SetCoreScale(0.700000)
VentralPhaser2a.SetTaperRatio(0.250000)
VentralPhaser2a.SetTaperMinLength(5.000000)
VentralPhaser2a.SetTaperMaxLength(30.000000)
VentralPhaser2a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser2a.SetPerimeterTile(1.000000)
VentralPhaser2a.SetTextureSpeed(5.000000)
VentralPhaser2a.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser2a)
#################################################
VentralPhaser2b = App.PhaserProperty_Create("Ventral Phaser 2b")

VentralPhaser2b.SetMaxCondition(800.000000)
VentralPhaser2b.SetCritical(0)
VentralPhaser2b.SetTargetable(1)
VentralPhaser2b.SetPrimary(1)
VentralPhaser2b.SetPosition(0.013066, 0.094639, -0.055991)
VentralPhaser2b.SetPosition2D(61, 6)
VentralPhaser2b.SetRepairComplexity(7.000000)
VentralPhaser2b.SetDisabledPercentage(0.750000)
VentralPhaser2b.SetRadius(0.050000)
VentralPhaser2b.SetDumbfire(0)
VentralPhaser2b.SetWeaponID(3)
VentralPhaser2b.SetGroups(0)
VentralPhaser2b.SetDamageRadiusFactor(0.150000)
VentralPhaser2b.SetIconNum(364)
VentralPhaser2b.SetIconPositionX(63)
VentralPhaser2b.SetIconPositionY(41)
VentralPhaser2b.SetIconAboveShip(0)
VentralPhaser2b.SetFireSound("ZZST2Phaser")
VentralPhaser2b.SetMaxCharge(5.000000)
VentralPhaser2b.SetMaxDamage(250.000000)
VentralPhaser2b.SetMaxDamageDistance(60.000000)
VentralPhaser2b.SetMinFiringCharge(1.000000)
VentralPhaser2b.SetNormalDischargeRate(1.000000)
VentralPhaser2b.SetRechargeRate(0.200000)
VentralPhaser2b.SetIndicatorIconNum(510)
VentralPhaser2b.SetIndicatorIconPositionX(58)
VentralPhaser2b.SetIndicatorIconPositionY(34)
VentralPhaser2bForward = App.TGPoint3()
VentralPhaser2bForward.SetXYZ(0.000000, 1.000000, 0.000000)
VentralPhaser2bUp = App.TGPoint3()
VentralPhaser2bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser2b.SetOrientation(VentralPhaser2bForward, VentralPhaser2bUp)
VentralPhaser2b.SetWidth(0.001000)
VentralPhaser2b.SetLength(0.001000)
VentralPhaser2b.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser2b.SetArcHeightAngles(0.000000, 1.570796)
VentralPhaser2b.SetPhaserTextureStart(0)
VentralPhaser2b.SetPhaserTextureEnd(7)
VentralPhaser2b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser2b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser2b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser2b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser2b.SetInnerCoreColor(kColor)
VentralPhaser2b.SetNumSides(6)
VentralPhaser2b.SetMainRadius(0.050000)
VentralPhaser2b.SetTaperRadius(0.010000)
VentralPhaser2b.SetCoreScale(0.700000)
VentralPhaser2b.SetTaperRatio(0.250000)
VentralPhaser2b.SetTaperMinLength(5.000000)
VentralPhaser2b.SetTaperMaxLength(30.000000)
VentralPhaser2b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser2b.SetPerimeterTile(1.000000)
VentralPhaser2b.SetTextureSpeed(5.000000)
VentralPhaser2b.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser2b)
#################################################
VentralPhaser3a = App.PhaserProperty_Create("Ventral Phaser 3a")

VentralPhaser3a.SetMaxCondition(800.000000)
VentralPhaser3a.SetCritical(0)
VentralPhaser3a.SetTargetable(1)
VentralPhaser3a.SetPrimary(1)
VentralPhaser3a.SetPosition(0.273399, 0.011399, -0.056108)
VentralPhaser3a.SetPosition2D(101, 26)
VentralPhaser3a.SetRepairComplexity(7.000000)
VentralPhaser3a.SetDisabledPercentage(0.750000)
VentralPhaser3a.SetRadius(0.050000)
VentralPhaser3a.SetDumbfire(0)
VentralPhaser3a.SetWeaponID(4)
VentralPhaser3a.SetGroups(0)
VentralPhaser3a.SetDamageRadiusFactor(0.150000)
VentralPhaser3a.SetIconNum(362)
VentralPhaser3a.SetIconPositionX(93)
VentralPhaser3a.SetIconPositionY(45)
VentralPhaser3a.SetIconAboveShip(0)
VentralPhaser3a.SetFireSound("ZZST2Phaser")
VentralPhaser3a.SetMaxCharge(5.000000)
VentralPhaser3a.SetMaxDamage(250.000000)
VentralPhaser3a.SetMaxDamageDistance(60.000000)
VentralPhaser3a.SetMinFiringCharge(1.000000)
VentralPhaser3a.SetNormalDischargeRate(1.000000)
VentralPhaser3a.SetRechargeRate(0.200000)
VentralPhaser3a.SetIndicatorIconNum(509)
VentralPhaser3a.SetIndicatorIconPositionX(93)
VentralPhaser3a.SetIndicatorIconPositionY(44)
VentralPhaser3aForward = App.TGPoint3()
VentralPhaser3aForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser3aUp = App.TGPoint3()
VentralPhaser3aUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser3a.SetOrientation(VentralPhaser3aForward, VentralPhaser3aUp)
VentralPhaser3a.SetWidth(0.001000)
VentralPhaser3a.SetLength(0.001000)
VentralPhaser3a.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser3a.SetArcHeightAngles(0.000000, 1.570796)
VentralPhaser3a.SetPhaserTextureStart(0)
VentralPhaser3a.SetPhaserTextureEnd(7)
VentralPhaser3a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser3a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser3a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser3a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser3a.SetInnerCoreColor(kColor)
VentralPhaser3a.SetNumSides(6)
VentralPhaser3a.SetMainRadius(0.040000)
VentralPhaser3a.SetTaperRadius(0.010000)
VentralPhaser3a.SetCoreScale(0.500000)
VentralPhaser3a.SetTaperRatio(0.250000)
VentralPhaser3a.SetTaperMinLength(5.000000)
VentralPhaser3a.SetTaperMaxLength(30.000000)
VentralPhaser3a.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser3a.SetPerimeterTile(1.000000)
VentralPhaser3a.SetTextureSpeed(5.000000)
VentralPhaser3a.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser3a)
#################################################
VentralPhaser3b = App.PhaserProperty_Create("Ventral Phaser 3b")

VentralPhaser3b.SetMaxCondition(800.000000)
VentralPhaser3b.SetCritical(0)
VentralPhaser3b.SetTargetable(1)
VentralPhaser3b.SetPrimary(1)
VentralPhaser3b.SetPosition(0.273399, -0.011399, -0.056108)
VentralPhaser3b.SetPosition2D(106, 26)
VentralPhaser3b.SetRepairComplexity(7.000000)
VentralPhaser3b.SetDisabledPercentage(0.750000)
VentralPhaser3b.SetRadius(0.050000)
VentralPhaser3b.SetDumbfire(0)
VentralPhaser3b.SetWeaponID(4)
VentralPhaser3b.SetGroups(0)
VentralPhaser3b.SetDamageRadiusFactor(0.150000)
VentralPhaser3b.SetIconNum(362)
VentralPhaser3b.SetIconPositionX(94)
VentralPhaser3b.SetIconPositionY(46)
VentralPhaser3b.SetIconAboveShip(0)
VentralPhaser3b.SetFireSound("ZZST2Phaser")
VentralPhaser3b.SetMaxCharge(5.000000)
VentralPhaser3b.SetMaxDamage(250.000000)
VentralPhaser3b.SetMaxDamageDistance(60.000000)
VentralPhaser3b.SetMinFiringCharge(1.000000)
VentralPhaser3b.SetNormalDischargeRate(1.000000)
VentralPhaser3b.SetRechargeRate(0.200000)
VentralPhaser3b.SetIndicatorIconNum(509)
VentralPhaser3b.SetIndicatorIconPositionX(94)
VentralPhaser3b.SetIndicatorIconPositionY(44)
VentralPhaser3bForward = App.TGPoint3()
VentralPhaser3bForward.SetXYZ(1.000000, 0.000000, 0.000000)
VentralPhaser3bUp = App.TGPoint3()
VentralPhaser3bUp.SetXYZ(0.000000, 0.000000, -1.000000)
VentralPhaser3b.SetOrientation(VentralPhaser3bForward, VentralPhaser3bUp)
VentralPhaser3b.SetWidth(0.001000)
VentralPhaser3b.SetLength(0.001000)
VentralPhaser3b.SetArcWidthAngles(-0.785398, 0.785398)
VentralPhaser3b.SetArcHeightAngles(0.000000, 1.570796)
VentralPhaser3b.SetPhaserTextureStart(0)
VentralPhaser3b.SetPhaserTextureEnd(7)
VentralPhaser3b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser3b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
VentralPhaser3b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
VentralPhaser3b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
VentralPhaser3b.SetInnerCoreColor(kColor)
VentralPhaser3b.SetNumSides(6)
VentralPhaser3b.SetMainRadius(0.040000)
VentralPhaser3b.SetTaperRadius(0.010000)
VentralPhaser3b.SetCoreScale(0.500000)
VentralPhaser3b.SetTaperRatio(0.250000)
VentralPhaser3b.SetTaperMinLength(5.000000)
VentralPhaser3b.SetTaperMaxLength(30.000000)
VentralPhaser3b.SetLengthTextureTilePerUnit(0.050000)
VentralPhaser3b.SetPerimeterTile(1.000000)
VentralPhaser3b.SetTextureSpeed(5.000000)
VentralPhaser3b.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(VentralPhaser3b)
#################################################
ForwardTractor = App.TractorBeamProperty_Create("Forward Tractor")

ForwardTractor.SetMaxCondition(600.000000)
ForwardTractor.SetCritical(0)
ForwardTractor.SetTargetable(1)
ForwardTractor.SetPrimary(1)
ForwardTractor.SetPosition(0.000000, 0.155700, -0.051715)
ForwardTractor.SetPosition2D(112, 66)
ForwardTractor.SetRepairComplexity(7.000000)
ForwardTractor.SetDisabledPercentage(0.750000)
ForwardTractor.SetRadius(0.030000)
ForwardTractor.SetDumbfire(0)
ForwardTractor.SetWeaponID(1)
ForwardTractor.SetGroups(0)
ForwardTractor.SetDamageRadiusFactor(0.300000)
ForwardTractor.SetIconNum(0)
ForwardTractor.SetIconPositionX(0.000000)
ForwardTractor.SetIconPositionY(0.000000)
ForwardTractor.SetIconAboveShip(1)
ForwardTractor.SetFireSound("Tractor Beam")
ForwardTractor.SetMaxCharge(5.000000)
ForwardTractor.SetMaxDamage(600.000000)
ForwardTractor.SetMaxDamageDistance(100.000000)
ForwardTractor.SetMinFiringCharge(3.000000)
ForwardTractor.SetNormalDischargeRate(1.000000)
ForwardTractor.SetRechargeRate(0.800000)
ForwardTractor.SetIndicatorIconNum(0)
ForwardTractor.SetIndicatorIconPositionX(0.000000)
ForwardTractor.SetIndicatorIconPositionY(0.000000)
ForwardTractorForward = App.TGPoint3()
ForwardTractorForward.SetXYZ(0.000000, 1.000000, 0.000000)
ForwardTractorUp = App.TGPoint3()
ForwardTractorUp.SetXYZ(0.000000, 0.000000, 1.000000)
ForwardTractor.SetOrientation(ForwardTractorForward, ForwardTractorUp)
ForwardTractor.SetArcWidthAngles(-0.349066, 0.349066)
ForwardTractor.SetArcHeightAngles(-0.523599, 0.523599)
ForwardTractor.SetTractorBeamWidth(0.300000)
ForwardTractor.SetTextureStart(0)
ForwardTractor.SetTextureEnd(0)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
kColor = App.TGColorA()
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerShellColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.400000, 0.400000, 1.000000, 1.000000)
ForwardTractor.SetInnerCoreColor(kColor)
ForwardTractor.SetNumSides(12)
ForwardTractor.SetMainRadius(0.075000)
ForwardTractor.SetTaperRadius(0.000000)
ForwardTractor.SetCoreScale(0.450000)
ForwardTractor.SetTaperRatio(0.200000)
ForwardTractor.SetTaperMinLength(1.000000)
ForwardTractor.SetTaperMaxLength(5.000000)
ForwardTractor.SetLengthTextureTilePerUnit(0.250000)
ForwardTractor.SetPerimeterTile(1.000000)
ForwardTractor.SetTextureSpeed(0.200000)
ForwardTractor.SetTextureName("data/Textures/Tactical/TractorBeam.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(ForwardTractor)
#################################################
AftPhaser1a = App.PhaserProperty_Create("Aft Phaser 1a")

AftPhaser1a.SetMaxCondition(800.000000)
AftPhaser1a.SetCritical(0)
AftPhaser1a.SetTargetable(1)
AftPhaser1a.SetPrimary(1)
AftPhaser1a.SetPosition(-0.049526, -0.554501, 0.069645)
AftPhaser1a.SetPosition2D(56, 78)
AftPhaser1a.SetRepairComplexity(7.000000)
AftPhaser1a.SetDisabledPercentage(0.750000)
AftPhaser1a.SetRadius(0.050000)
AftPhaser1a.SetDumbfire(0)
AftPhaser1a.SetWeaponID(6)
AftPhaser1a.SetGroups(0)
AftPhaser1a.SetDamageRadiusFactor(0.150000)
AftPhaser1a.SetIconNum(363)
AftPhaser1a.SetIconPositionX(47)
AftPhaser1a.SetIconPositionY(116)
AftPhaser1a.SetIconAboveShip(1)
AftPhaser1a.SetFireSound("ZZST2Phaser")
AftPhaser1a.SetMaxCharge(5.000000)
AftPhaser1a.SetMaxDamage(250.000000)
AftPhaser1a.SetMaxDamageDistance(60.000000)
AftPhaser1a.SetMinFiringCharge(1.000000)
AftPhaser1a.SetNormalDischargeRate(1.000000)
AftPhaser1a.SetRechargeRate(0.200000)
AftPhaser1a.SetIndicatorIconNum(511)
AftPhaser1a.SetIndicatorIconPositionX(41)
AftPhaser1a.SetIndicatorIconPositionY(111)
AftPhaser1aForward = App.TGPoint3()
AftPhaser1aForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftPhaser1aUp = App.TGPoint3()
AftPhaser1aUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftPhaser1a.SetOrientation(AftPhaser1aForward, AftPhaser1aUp)
AftPhaser1a.SetWidth(0.001000)
AftPhaser1a.SetLength(0.001000)
AftPhaser1a.SetArcWidthAngles(-0.523599, 0.523599)
AftPhaser1a.SetArcHeightAngles(0.000000, 1.570796)
AftPhaser1a.SetPhaserTextureStart(0)
AftPhaser1a.SetPhaserTextureEnd(7)
AftPhaser1a.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
AftPhaser1a.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
AftPhaser1a.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
AftPhaser1a.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
AftPhaser1a.SetInnerCoreColor(kColor)
AftPhaser1a.SetNumSides(6)
AftPhaser1a.SetMainRadius(0.040000)
AftPhaser1a.SetTaperRadius(0.010000)
AftPhaser1a.SetCoreScale(0.500000)
AftPhaser1a.SetTaperRatio(0.250000)
AftPhaser1a.SetTaperMinLength(5.000000)
AftPhaser1a.SetTaperMaxLength(30.000000)
AftPhaser1a.SetLengthTextureTilePerUnit(0.050000)
AftPhaser1a.SetPerimeterTile(1.000000)
AftPhaser1a.SetTextureSpeed(5.000000)
AftPhaser1a.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftPhaser1a)
#################################################
AftPhaser1b = App.PhaserProperty_Create("Aft Phaser 1b")

AftPhaser1b.SetMaxCondition(800.000000)
AftPhaser1b.SetCritical(0)
AftPhaser1b.SetTargetable(1)
AftPhaser1b.SetPrimary(1)
AftPhaser1b.SetPosition(0.049526, -0.554501, 0.069645)
AftPhaser1b.SetPosition2D(72, 78)
AftPhaser1b.SetRepairComplexity(7.000000)
AftPhaser1b.SetDisabledPercentage(0.750000)
AftPhaser1b.SetRadius(0.050000)
AftPhaser1b.SetDumbfire(0)
AftPhaser1b.SetWeaponID(6)
AftPhaser1b.SetGroups(0)
AftPhaser1b.SetDamageRadiusFactor(0.150000)
AftPhaser1b.SetIconNum(363)
AftPhaser1b.SetIconPositionX(83)
AftPhaser1b.SetIconPositionY(116)
AftPhaser1b.SetIconAboveShip(1)
AftPhaser1b.SetFireSound("ZZST2Phaser")
AftPhaser1b.SetMaxCharge(5.000000)
AftPhaser1b.SetMaxDamage(250.000000)
AftPhaser1b.SetMaxDamageDistance(60.000000)
AftPhaser1b.SetMinFiringCharge(1.000000)
AftPhaser1b.SetNormalDischargeRate(1.000000)
AftPhaser1b.SetRechargeRate(0.200000)
AftPhaser1b.SetIndicatorIconNum(511)
AftPhaser1b.SetIndicatorIconPositionX(78)
AftPhaser1b.SetIndicatorIconPositionY(111)
AftPhaser1bForward = App.TGPoint3()
AftPhaser1bForward.SetXYZ(0.000000, -1.000000, 0.000000)
AftPhaser1bUp = App.TGPoint3()
AftPhaser1bUp.SetXYZ(0.000000, 0.000000, 1.000000)
AftPhaser1b.SetOrientation(AftPhaser1bForward, AftPhaser1bUp)
AftPhaser1b.SetWidth(0.001000)
AftPhaser1b.SetLength(0.001000)
AftPhaser1b.SetArcWidthAngles(-0.523599, 0.523599)
AftPhaser1b.SetArcHeightAngles(0.000000, 1.570796)
AftPhaser1b.SetPhaserTextureStart(0)
AftPhaser1b.SetPhaserTextureEnd(7)
AftPhaser1b.SetPhaserWidth(0.300000)
kColor = App.TGColorA()
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
AftPhaser1b.SetOuterShellColor(kColor)
kColor.SetRGBA(1.000000, 0.164706, 0.003922, 1.000000)
AftPhaser1b.SetInnerShellColor(kColor)
kColor.SetRGBA(0.992157, 0.831373, 0.639216, 1.000000)
AftPhaser1b.SetOuterCoreColor(kColor)
kColor.SetRGBA(0.992157, 0.901961, 0.858824, 1.000000)
AftPhaser1b.SetInnerCoreColor(kColor)
AftPhaser1b.SetNumSides(6)
AftPhaser1b.SetMainRadius(0.040000)
AftPhaser1b.SetTaperRadius(0.010000)
AftPhaser1b.SetCoreScale(0.500000)
AftPhaser1b.SetTaperRatio(0.250000)
AftPhaser1b.SetTaperMinLength(5.000000)
AftPhaser1b.SetTaperMaxLength(30.000000)
AftPhaser1b.SetLengthTextureTilePerUnit(0.050000)
AftPhaser1b.SetPerimeterTile(1.000000)
AftPhaser1b.SetTextureSpeed(5.000000)
AftPhaser1b.SetTextureName("data/textures/tactical/ZZPulsePhaserA.tga")
App.g_kModelPropertyManager.RegisterLocalTemplate(AftPhaser1b)

def LoadPropertySet(pObj):
	"Sets up the object's properties."
	if not ('g_bIsModelPropertyEditor' in dir(App)):
		ParentModule.LoadPropertySet(pObj)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Torp 2", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Torp 1", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 2a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 2b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 3a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Dorsal Phaser 3b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 2a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 2b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 3a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Ventral Phaser 3b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Forward Tractor", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Phaser 1a", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("Aft Phaser 1b", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
	prop = App.g_kModelPropertyManager.FindByName("AdAkyazi", App.TGModelPropertyManager.LOCAL_TEMPLATES)
	if (prop != None):
		pObj.AddToSet("Scene Root", prop)
